package com.jeeplus.modules.filing.basicInformation.entity;

import com.google.common.collect.Lists;
import com.jeeplus.core.persistence.DataEntity;
import com.jeeplus.modules.test.onetomany.dialog.entity.TestDataChild11;
import com.jeeplus.modules.test.onetomany.dialog.entity.TestDataChild12;

import java.util.List;

public class BasicInformationChild extends DataEntity<BasicInformationChild> {
    /**
     * 项目编码
     * */
    private String projectCode;

    /**
     * 单体编码
     * */
    private String monomerCode;

    /**
     * 项目名称
     * */
    private String entryName;

    /**
     * 父级id
     */
    private String parentId;

    /**
     * 工程属性/重点程度
     * */
    private String emphasis;


    /**
     * 建设年度1
     * */
    private String constructionYear;

    /**
     * 建设年度1投资
     * */
    private String annualInvestment;

    /**
     * 建设年度2
     * */
    private String constructionYearTwo;

    /**
     * 建设年度2投资
     * */
    private String annualInvestmentTwo;

    /**
     * 建设年度3
     * */
    private String constructionYearThree;

    /**
     * 建设年度3投资
     * */
    private String annualInvestmentThree;

    /**
     * 建设年度4
     * */
    private String constructionYearFour;

    /**
     * 建设年度4投资
     * */
    private String annualInvestmentFour;

    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    public String getMonomerCode() {
        return monomerCode;
    }

    public void setMonomerCode(String monomerCode) {
        this.monomerCode = monomerCode;
    }

    public String getEntryName() {
        return entryName;
    }

    public void setEntryName(String entryName) {
        this.entryName = entryName;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getEmphasis() {
        return emphasis;
    }

    public void setEmphasis(String emphasis) {
        this.emphasis = emphasis;
    }

    public String getConstructionYear() {
        return constructionYear;
    }

    public void setConstructionYear(String constructionYear) {
        this.constructionYear = constructionYear;
    }

    public String getAnnualInvestment() {
        return annualInvestment;
    }

    public void setAnnualInvestment(String annualInvestment) {
        this.annualInvestment = annualInvestment;
    }

    public String getConstructionYearTwo() {
        return constructionYearTwo;
    }

    public void setConstructionYearTwo(String constructionYearTwo) {
        this.constructionYearTwo = constructionYearTwo;
    }

    public String getAnnualInvestmentTwo() {
        return annualInvestmentTwo;
    }

    public void setAnnualInvestmentTwo(String annualInvestmentTwo) {
        this.annualInvestmentTwo = annualInvestmentTwo;
    }

    public String getConstructionYearThree() {
        return constructionYearThree;
    }

    public void setConstructionYearThree(String constructionYearThree) {
        this.constructionYearThree = constructionYearThree;
    }

    public String getAnnualInvestmentThree() {
        return annualInvestmentThree;
    }

    public void setAnnualInvestmentThree(String annualInvestmentThree) {
        this.annualInvestmentThree = annualInvestmentThree;
    }

    public String getConstructionYearFour() {
        return constructionYearFour;
    }

    public void setConstructionYearFour(String constructionYearFour) {
        this.constructionYearFour = constructionYearFour;
    }

    public String getAnnualInvestmentFour() {
        return annualInvestmentFour;
    }

    public void setAnnualInvestmentFour(String annualInvestmentFour) {
        this.annualInvestmentFour = annualInvestmentFour;
    }
}
